Get Product and Platform pricing
curl --request GET \
--url https://api.darwin.so/api/v1/billing/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.darwin.so/api/v1/billing/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.darwin.so/api/v1/billing/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currency": "usd",
"product": {
"plans": [
{
"baseAmountMinor": 1,
"processingFeeMinor": 1,
"chargeAmountMinor": 1,
"aiCreditsMonthly": 1,
"supplySpendMinorMonthly": 1
}
],
"agentCreditPacks": [
{
"baseAmountMinor": 1,
"processingFeeMinor": 1,
"chargeAmountMinor": 1
}
],
"marketplaceFeeBps": 1
},
"platform": {
"publicNetwork": {
"minimumFeeBps": 300,
"maximumFeeBps": 700,
"basis": "COMPLETED_MONTHLY_GMV",
"standardPaymentProcessingIncluded": true
},
"privateNetwork": {
"pricing": "CUSTOM"
}
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Billing
Get billing catalog
Returns Product subscription prices, Agent Credit packs, the Product marketplace fee, and the separate Platform pricing policy. Amounts include the exact processing component charged by the configured payment provider.
GET
/
billing
/
catalog
Get Product and Platform pricing
Authorizations
User keys begin with darwin_. Application service-account keys begin with darwin_sa_ and are restricted to linked agents.
⌘I